# $Revision: 1.5 $, $Date: 2004/02/22 19:29:26 $
Summary:	Libraries for building foreign function call interfaces
Summary(pl):	Biblioteki do tworzenia interfejsw wywoa obcych funkcji
Name:		ffcall
Version:	1.9
Release:	1
Epoch:		1
License:	GPL
Group:		Libraries
# official URL is http://www.haible.de/bruno/gnu/, but not browsable
Source0:	ftp://ftp.ilog.fr/pub/Users/haible/gnu/%{name}-%{version}.tar.gz
# Source0-md5:	8437c7f973db2d3d340c833d23001c64
URL:		http://www.haible.de/bruno/packages-ffcall.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:
- avcall - calling C functions with variable arguments
- vacall - C functions accepting variable argument prototypes
- trampoline - closures as first-class C functions
- callback - closures with variable arguments as first-class C
  functions (a reentrant combination of vacall and trampoline)

This version B includes some minor configuration changes so that files
are installed in the proper place. Also it compiles on cygwin and
mingw32.

%description -l pl
To jest zestaw czterech bibliotek, ktrych mona uy do tworzenia
interfejsw wywoa obcych procedur we wbudowanych interpreterach.

Te cztery pakiety to:
- avcall - wywoywanie funkcji w C ze zmiennymi argumentami
- vacall - funkcje w C akceptujce prototypy ze zmiennymi argumentami
- trampoline - domknicia jako funkcje C pierwszej klasy
- callback - domknicia ze zmiennymi argumentami jako funkcje C
  pierwszej klasy (zagniedalna kombinacja vacall i trampoline)

Ta wersja B zawiera troch maych zmian w konfiguracji, dziki ktrym
pliki instaluj si we waciwych miejscach. A take kompiluje si pod
cygwinem i mingw32.

%package devel
Summary:	Development files for ffcall libraries
Summary(pl):	Pliki dla programistw uywajcych bibliotek ffcall
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Development files for ffcall libraries: headers and static trampoline
and vacall libraries.

%description devel -l pl
Pliki dla programistw uywajcych bibliotek ffcall: nagwki i
statyczne biblioteki trampoline oraz vacall.

%package static
Summary:	Static versions of avcall and callback libraries
Summary(pl):	Statyczne wersje bibliotek avcall i callback
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static versions of avcall and callback libraries.

%description static -l pl
Statyczne wersje bibliotek avcall i callback.

%prep
%setup -q

%build
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -r $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc */*.html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/libtrampoline.a
%{_libdir}/libvacall.a
%{_includedir}/*
%{_mandir}/man?/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libavcall.a
%{_libdir}/libcallback.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ffcall.spec,v $
Revision 1.5  2004/02/22 19:29:26  qboosh
- updated to 1.9

Revision 1.4  2003/06/23 17:04:12  jareq
- fixed epoch:version issue

Revision 1.3  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:47:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/12/29 00:14:03  qboosh
- new
